Temp Projects - Tasks #7605

Wrong Posting value Product COGS SOA screen
09/23/2022 06:36 PM - Rijas P

Status: Closed Start date: 09/23/2022
Priority: Urgent Due date:

Assignee: Mohamed Suhail % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Showing wrong Product COGS value in Shipment Doc: 540318

Actual Product COGS should be 499.328, but in SOA screen showing 121.055, but once clicked on the amount and click on Show
lines the correct amount is showing.

PFA for reference.

History

#1 - 09/27/2022 09:54 AM - Mohamed Suhail
- Status changed from New to Resolved

- % Done changed from 0 to 100

Rijas P wrote:
Showing wrong Product COGS value in Shipment Doc: 540318

Actual Product COGS should be 499.328, but in SOA screen showing 121.055, but once clicked on the amount and click on Show lines the
correct amount is showing.

PFA for reference.

There was an issue with 4 items where product cogs account = product asset account

euro=# select name,m_product_id from m_product where m_product_id in (select m_product_id from m_product_acct where
p_cogs_acct=p_asset_acct);

name | m_product_id

_________ S

EU21739| 1023610

EU21741 | 1023612

EU21740| 1023611

EU21742| 1023613

(4 rows)

uro=# delete from fact_acct where ad_table_id=319 and record_id in (select distinct m_inout_id from (select
mil.created,mil.m_inoutline_id,mil.m_inout_id,mil.m_product_id,mi.movementdate,mil.m_product_id,mil. movementqty,mi.docstatus from m_inoutline
mil join m_inout mi on mil.m_inout_id=mi.m_inout_id where mi.movementtype in ('C+','C-") and mil.m_product_id in (select m_product_id from
m_product_acct where p_cogs_acct=p_asset_acct) order by 1) as aa);

DELETE 33880

euro=# update m_inout set posted='N' where m_inout_id in (select distinct m_inout_id from (select
mil.created,mil.m_inoutline_id,mil.m_inout_id,mil.m_product_id,mi.movementdate,mil.m_product_id,mil. movementqty,mi.docstatus from m_inoutline
mil join m_inout mi on mil.m_inout_id=mi.m_inout_id where mi.movementtype in ('C+','C-") and mil.m_product_id in (select m_product_id from
m_product_acct where p_cogs_acct=p_asset_acct) order by 1) as aa);

UPDATE 220

euro=# update m_product_acct set p_cogs_acct=1000042 where p_asset_Acct=p_cogs_acct;

UPDATE 4

#2 - 09/28/2022 07:48 PM - Rijas P

- Status changed from Resolved to Closed
Found fixed

#3 - 05/21/2024 04:06 PM - SHAIJAL EDAVANA

07/16/2025 12




- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)
